Skip to main content
POST
/
payout
/
{id}
/
confirm
cURL
curl --request POST \
  --url https://service-sandbox.tazapay.com/payout/{id}/confirm \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source": "<string>"
}
'
{
  "amount": 5000,
  "balance_transaction": "btr_d24adsvfccunngaiu2bg",
  "beneficiary": "bnf_d24adp7fccunngaiu20g",
  "beneficiary_details": {
    "address": null,
    "date_of_birth": "",
    "destination": "",
    "destination_details": {
      "bank": {
        "account_type": "",
        "bank_codes": {},
        "bank_name": "testfxbank",
        "branch_name": "",
        "country": "FR",
        "currency": "EUR",
        "firc_required": false,
        "iban": "31",
        "purpose_code": "",
        "transfer_type": "local"
      },
      "type": "bank"
    },
    "documents": [],
    "email": "",
    "name": "Jackie Morissette",
    "national_identification_number": "",
    "party_classification": "",
    "phone": {
      "calling_code": "33"
    },
    "registration_number": "",
    "tax_id": "",
    "type": "individual",
    "status": "active"
  },
  "charge_type": "",
  "confirmation_documents": [],
  "created_at": "2025-07-29T10:48:19.014533Z",
  "currency": "EUR",
  "documents": [],
  "holding_currency": "USD",
  "holding_fx_transaction": {
    "exchange_rate": 0.828672,
    "final": {
      "amount": 5000,
      "currency": "EUR"
    },
    "id": "fx_d24adsmp89reuemeaujg",
    "initial": {
      "amount": 6034,
      "currency": "USD"
    },
    "object": "fx_transaction"
  },
  "id": "pot_d24adsnfccunngaiu280",
  "local": {
    "fund_transfer_network": "sepa"
  },
  "logistics_tracking_details": [],
  "metadata": {
    "collect_id": "col_d24ae102tsfj74sj23s0",
    "transaction_hash": "0xie4el49kctwen8rf6urv7wirrtemva9bqhjlct7j1v9jp8r4eya4zg08c80xkgxo"
  },
  "mt103": "",
  "object": "payout",
  "on_behalf_of": "",
  "payout_fx_transaction": {
    "exchange_rate": 1,
    "final": {
      "amount": 5000,
      "currency": "EUR"
    },
    "id": "fx_d24adsmp89reuemeauj0",
    "initial": {
      "amount": 5000,
      "currency": "EUR"
    },
    "object": "fx_transaction"
  },
  "purpose": "PYR008",
  "reference_id": "",
  "source": "col_d24ae102tsfj74sj23s0",
  "statement_descriptor": "",
  "status": "processing",
  "status_description": "",
  "tracking_details": null,
  "transaction_description": "Payout Description",
  "type": "local"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
default:""
required

ID of the payout

Body

application/json
source
string
required

ID of the collect to fund the payout

Response

200 - application/json
amount
number

Amount of the payout in payout currency

balance_transaction
string

ID of the balance transaction associated with this payout

beneficiary
string

Unique identifier of the payout beneficiary

beneficiary_details
object

Detailed information about the beneficiary

charge_type
string

Type of charge (e.g., shared, ours, beneficiary)

confirmation_documents
array

List of confirmation documents uploaded for the payout

created_at
string

Timestamp when the payout was created

currency
string

Currency of the payout

documents
array

List of payout-related documents

holding_currency
string

Currency in which funds are held before conversion

holding_fx_transaction
object

Details of FX transaction from holding to payout currency

id
string

Unique payout ID

local
object

Local payout information

logistics_tracking_details
array

Tracking details for logistics-related payouts (if applicable). This is mandatory for CNY local payouts.

metadata
object

Metadata information related to payout

mt103
string

SWIFT MT103 reference number, if applicable

object
string

Type of object

on_behalf_of
string

Entity on whose behalf the payout is made

payout_fx_transaction
object

FX transaction details for payout conversion

purpose
string

Purpose code or reason for the payout

reference_id
string

External reference ID

source
string

Source collection ID for the payout

statement_descriptor
string

Statement descriptor shown on recipient’s statement

status
string

Current status of the payout

status_description
string

Additional status description

tracking_details
null

Tracking details if available

transaction_description
string

Description or purpose of the payout transaction

type
string

Type of payout (e.g., local, swift)